import request from '@/utils/request'

// 查询物料清单正查列表
export function listListForward(query) {
  return request({
    url: '/system/listForward/list',
    method: 'get',
    params: query
  })
}

// 查询物料清单正查详细
export function getListForward(id) {
  return request({
    url: '/system/listForward/' + id,
    method: 'get'
  })
}

// 新增物料清单正查
export function addListForward(data) {
  return request({
    url: '/system/listForward',
    method: 'post',
    data: data
  })
}

// 修改物料清单正查
export function updateListForward(data) {
  return request({
    url: '/system/listForward',
    method: 'put',
    data: data
  })
}

// 删除物料清单正查
export function delListForward(id) {
  return request({
    url: '/system/listForward/' + id,
    method: 'delete'
  })
}
export function getStandTotal(ids) {
  console.log('111',ids)
  return request({
    url: '/system/listForward/getStandTotal/'+ids,
    method: 'post',
    data: ids
  })
}
